Loading...
Searching...
No Matches
gtsam::VisitWith< L, Y > Struct Template Reference

## Detailed Description

template<typename L, typename Y>
struct gtsam::VisitWith< L, Y >

Functor performing depth-first visit to each leaf with the leaf's Assignment<L> and value passed as arguments.

NOTE: Follows the same pruning semantics as visit.

## Public Member Functions

| VisitWith (F f)
| Construct from folding function.
void | operator() (const typename DecisionTree< L, Y >::NodePtr &node)
| Do a depth-first visit on the tree rooted at node.

## Public Attributes

Assignment< L > | assignment
| Assignment, mutating through recursion.
F | f
| folding function object.

## Public Types

using | F = std::function<void(const Assignment<L>&, const Y&)>

The documentation for this struct was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/discrete/DecisionTree-inl.h